<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Theme.ToListOAndroid" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/background</item>
        <item name="colorPrimaryVariant">@color/primary_color_light</item>
        <item name="colorOnPrimary">@color/text</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/secondary_color_dark</item>
        <item name="colorSecondaryVariant">@color/secondary_color_light</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->

        //REMOVE TITLE BAR
        <item name="windowNoTitle">true</item>
    </style>

    //LAUNCH SCREEN
    <style name="SplashTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="android:windowBackground">@drawable/launch_screen</item>

        //COLOR PALETTE
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/background</item>
        <item name="colorPrimaryVariant">@color/primary_color_light</item>
        <item name="colorOnPrimary">@color/text</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/secondary_color_dark</item>
        <item name="colorSecondaryVariant">@color/secondary_color_light</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
    </style>

    //ADD LIST DIALOG
    <style name="AddListDialogTheme" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:background">@drawable/task_recyclerview_item_bg</item>
        <item name="android:textColor">@color/text</item>
        <item name="android:textSize">20sp</item>
    </style>

    //ADD TASK DIALOG
    <style name="AddTaskDialogTheme" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:background">@drawable/list_recyclerview_item_bg</item>
        <item name="android:textColor">@color/text</item>
        <item name="android:textSize">15sp</item>
    </style>

    //EDIT LIST DIALOG
    <style name="EditListDialogTheme" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:background">@drawable/list_recyclerview_item_bg</item>
        <item name="android:textColor">@color/text</item>
        <item name="android:textSize">20sp</item>
    </style>

    //HELP + WHO DIALOG
    <style name="HelpDialogWhoTheme" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:background">@drawable/task_recyclerview_item_bg</item>
        <item name="android:textColor">@color/text</item>
        <item name="android:textSize">15sp</item>
    </style>

    //SEARCH DIALOG
    <style name="SearchDialog" parent="ThemeOverlay.AppCompat.Dialog.Alert">
        <item name="android:background">@drawable/task_recyclerview_item_bg</item>
        <item name="buttonBarButtonStyle">@style/SearchButtonStyle</item>
    </style>

    //SEARCH BUTTONS STYLE
    <style name="SearchButtonStyle" parent="Widget.AppCompat.Button.ButtonBar.AlertDialog">
        <item name="android:textColor">@color/text</item>
    </style>
</resources>
